plugins { kotlin("jvm") version "1.8.0" }

group = "org.punkcraft"
version = "1.0.0-Sponge"
// description = "Here lies an example plugin definition"

repositories {
    mavenCentral()
    maven("https://repo.spongepowered.org/maven")
}

dependencies {
    implementation("org.spongepowered:spongeapi:7.4.0")
}

java {
    sourceCompatibility = JavaVersion.VERSION_1_8
    targetCompatibility = JavaVersion.VERSION_1_8
}

tasks.jar {
	from("src/main/resources/plugin.json") {
        include("plugin.json")
    }
    manifest {
        attributes(
            "Main-Class" to "org.punkcraft.zombienoburnsun.ZombieNoburnSun"
        )
    }
    archiveBaseName.set("ZombieNoburnSun")
}
