package org.punkcraft.zombienoburnsun;

import org.spongepowered.api.entity.EntityTypes;
import org.spongepowered.api.event.Listener;
import com.google.inject.Inject;
import org.slf4j.Logger;
import org.spongepowered.api.event.Order;
import org.spongepowered.api.event.entity.IgniteEntityEvent;
import org.spongepowered.api.plugin.Plugin;

@Plugin(id = "zombienoburnsun", name = "ZombieNoburnSun", version = "1.0", description = "Prevents zombies from burning in sunlight.")
public class ZombieNoburnSun {

	@Inject
    private Logger logger;

    @Listener(order = Order.FIRST)
    public void onEntityIgnite(IgniteEntityEvent event) {
        if (event.getTargetEntity().getType() == EntityTypes.ZOMBIE) {
            event.setCancelled(true);
        }
    }

	public Logger getLogger() {
        return logger;
    }
}
